Description published Jul 30, 2012|Description updated Jul 13, 2017

Java/CVE-2012-1723

Alert level: Severe Detected with Windows Defender Antivirus

Also detected as: No associated aliases

Microsoft security software detects and removes this threat.

This threat uses a Java vulnerability to download and run files on your PC, including other malware.

It runs when you visit a hacked or malicious website and you have a vulnerable version of Java.

The following versions of Java are vulnerable:

  • JDK and JRE 7 Update 4 and earlier Java SE

  • JDK and JRE 6 Update 32 and earlier Java SE

  • JDK and JRE 5.0 Update 35 and earlier Java SE

  • SDK and JRE 1.4.2_37 and earlier Java SE

To check if you're running a vulnerable version of Java:

  1. In Control Panel, double-click Programs.
  2. If Java is installed you will see it in the list of installed programs. Click it to open the Java Control Panel.
  3. On the General tab, click About to see which version of Java you have installed.

You might get an alert about this threat even if you're not using a vulnerable version of Java. This is because we detect when a website tries to use the vulnerability, even if it isn't successful.

 

Latest News
VIEW ALL
 
Show/Hide feedback form